Skip to main content
POST
/
api
/
v1
/
tasks
/
{id}
/
comments
Add a comment to a task.
curl --request POST \
  --url https://api.backside.app/api/v1/tasks/{id}/comments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "body": "<string>",
  "author_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "parent_comment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "body": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "metadata": "<unknown>",
  "task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_at": "2023-11-07T05:31:56Z",
  "author_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "parent_comment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Task ID

Body

application/json
body
string
required
author_id
string<uuid> | null
parent_comment_id
string<uuid> | null

Response

201 - application/json
body
string
required
created_at
string<date-time>
required
id
string<uuid>
required
metadata
any
required
task_id
string<uuid>
required
tenant_id
string<uuid>
required
updated_at
string<date-time>
required
author_id
string<uuid> | null
parent_comment_id
string<uuid> | null